
local void py_cb_CB_BALLPICKUP(Arena * arg1, Player * arg2, int arg3)
{
	PyObject *args;
	args = Py_BuildValue("(O&O&i)",
		cvt_c2p_arena, arg1, cvt_c2p_player, arg2, arg3);
	if (args) {
		call_gen_py_callbacks(PYCBPREFIX CB_BALLPICKUP, args);
		Py_DECREF(args);
	}
}


local void py_cb_call_CB_BALLPICKUP(Arena *arena, PyObject *args)
{
	Arena * arg1;
	Player * arg2;
	int arg3;
	if (!PyArg_ParseTuple(args, "O&O&i", cvt_p2c_arena, (void*)&arg1, cvt_p2c_player, (void*)&arg2, &arg3))
		return;
	DO_CBS(CB_BALLPICKUP, arena, BallPickupFunc, (arg1, arg2, arg3));
}

local void py_cb_CB_BALLFIRE(Arena * arg1, Player * arg2, int arg3)
{
	PyObject *args;
	args = Py_BuildValue("(O&O&i)",
		cvt_c2p_arena, arg1, cvt_c2p_player, arg2, arg3);
	if (args) {
		call_gen_py_callbacks(PYCBPREFIX CB_BALLFIRE, args);
		Py_DECREF(args);
	}
}


local void py_cb_call_CB_BALLFIRE(Arena *arena, PyObject *args)
{
	Arena * arg1;
	Player * arg2;
	int arg3;
	if (!PyArg_ParseTuple(args, "O&O&i", cvt_p2c_arena, (void*)&arg1, cvt_p2c_player, (void*)&arg2, &arg3))
		return;
	DO_CBS(CB_BALLFIRE, arena, BallFireFunc, (arg1, arg2, arg3));
}

local void py_cb_CB_GOAL(Arena * arg1, Player * arg2, int arg3, int arg4, int arg5)
{
	PyObject *args;
	args = Py_BuildValue("(O&O&iii)",
		cvt_c2p_arena, arg1, cvt_c2p_player, arg2, arg3, arg4, arg5);
	if (args) {
		call_gen_py_callbacks(PYCBPREFIX CB_GOAL, args);
		Py_DECREF(args);
	}
}


local void py_cb_call_CB_GOAL(Arena *arena, PyObject *args)
{
	Arena * arg1;
	Player * arg2;
	int arg3;
	int arg4;
	int arg5;
	if (!PyArg_ParseTuple(args, "O&O&iii", cvt_p2c_arena, (void*)&arg1, cvt_p2c_player, (void*)&arg2, &arg3, &arg4, &arg5))
		return;
	DO_CBS(CB_GOAL, arena, GoalFunc, (arg1, arg2, arg3, arg4, arg5));
}

local void py_cb_CB_SET_BANNER(Player * arg1, Banner * arg2)
{
	PyObject *args;
	args = Py_BuildValue("(O&O&)",
		cvt_c2p_player, arg1, cvt_c2p_banner, arg2);
	if (args) {
		call_gen_py_callbacks(PYCBPREFIX CB_SET_BANNER, args);
		Py_DECREF(args);
	}
}


local void py_cb_call_CB_SET_BANNER(Arena *arena, PyObject *args)
{
	Player * arg1;
	Banner * arg2;
	if (!PyArg_ParseTuple(args, "O&O&", cvt_p2c_player, (void*)&arg1, cvt_p2c_banner, (void*)&arg2))
		return;
	DO_CBS(CB_SET_BANNER, arena, SetBannerFunc, (arg1, arg2));
}

local void py_cb_CB_CHATMSG(Player * arg1, int arg2, int arg3, Player * arg4, int arg5, const char * arg6)
{
	PyObject *args;
	args = Py_BuildValue("(O&iiO&is)",
		cvt_c2p_player, arg1, arg2, arg3, cvt_c2p_player, arg4, arg5, arg6);
	if (args) {
		call_gen_py_callbacks(PYCBPREFIX CB_CHATMSG, args);
		Py_DECREF(args);
	}
}


local void py_cb_call_CB_CHATMSG(Arena *arena, PyObject *args)
{
	Player * arg1;
	int arg2;
	int arg3;
	Player * arg4;
	int arg5;
	const char * arg6;
	if (!PyArg_ParseTuple(args, "O&iiO&is", cvt_p2c_player, (void*)&arg1, &arg2, &arg3, cvt_p2c_player, (void*)&arg4, &arg5, &arg6))
		return;
	DO_CBS(CB_CHATMSG, arena, ChatMsgFunc, (arg1, arg2, arg3, arg4, arg5, arg6));
}

local void py_cb_CB_GLOBALCONFIGCHANGED(void)
{
	PyObject *args;
	args = Py_BuildValue("()");
	if (args) {
		call_gen_py_callbacks(PYCBPREFIX CB_GLOBALCONFIGCHANGED, args);
		Py_DECREF(args);
	}
}


local void py_cb_call_CB_GLOBALCONFIGCHANGED(Arena *arena, PyObject *args)
{

	if (!PyArg_ParseTuple(args, ""))
		return;
	DO_CBS(CB_GLOBALCONFIGCHANGED, arena, GlobalConfigChangedFunc, ());
}

local void py_cb_CB_PLAYERACTION(Player * arg1, int arg2, Arena * arg3)
{
	PyObject *args;
	args = Py_BuildValue("(O&iO&)",
		cvt_c2p_player, arg1, arg2, cvt_c2p_arena, arg3);
	if (args) {
		call_gen_py_callbacks(PYCBPREFIX CB_PLAYERACTION, args);
		Py_DECREF(args);
	}
}


local void py_cb_call_CB_PLAYERACTION(Arena *arena, PyObject *args)
{
	Player * arg1;
	int arg2;
	Arena * arg3;
	if (!PyArg_ParseTuple(args, "O&iO&", cvt_p2c_player, (void*)&arg1, &arg2, cvt_p2c_arena, (void*)&arg3))
		return;
	DO_CBS(CB_PLAYERACTION, arena, PlayerActionFunc, (arg1, arg2, arg3));
}

local void py_cb_CB_FLAGPICKUP(Arena * arg1, Player * arg2, int arg3, int arg4, int arg5)
{
	PyObject *args;
	args = Py_BuildValue("(O&O&iii)",
		cvt_c2p_arena, arg1, cvt_c2p_player, arg2, arg3, arg4, arg5);
	if (args) {
		call_gen_py_callbacks(PYCBPREFIX CB_FLAGPICKUP, args);
		Py_DECREF(args);
	}
}


local void py_cb_call_CB_FLAGPICKUP(Arena *arena, PyObject *args)
{
	Arena * arg1;
	Player * arg2;
	int arg3;
	int arg4;
	int arg5;
	if (!PyArg_ParseTuple(args, "O&O&iii", cvt_p2c_arena, (void*)&arg1, cvt_p2c_player, (void*)&arg2, &arg3, &arg4, &arg5))
		return;
	DO_CBS(CB_FLAGPICKUP, arena, FlagPickupFunc, (arg1, arg2, arg3, arg4, arg5));
}

local void py_cb_CB_FLAGDROP(Arena * arg1, Player * arg2, int arg3, int arg4)
{
	PyObject *args;
	args = Py_BuildValue("(O&O&ii)",
		cvt_c2p_arena, arg1, cvt_c2p_player, arg2, arg3, arg4);
	if (args) {
		call_gen_py_callbacks(PYCBPREFIX CB_FLAGDROP, args);
		Py_DECREF(args);
	}
}


local void py_cb_call_CB_FLAGDROP(Arena *arena, PyObject *args)
{
	Arena * arg1;
	Player * arg2;
	int arg3;
	int arg4;
	if (!PyArg_ParseTuple(args, "O&O&ii", cvt_p2c_arena, (void*)&arg1, cvt_p2c_player, (void*)&arg2, &arg3, &arg4))
		return;
	DO_CBS(CB_FLAGDROP, arena, FlagDropFunc, (arg1, arg2, arg3, arg4));
}

local void py_cb_CB_FLAGPOS(Arena * arg1, int arg2, int arg3, int arg4, int arg5)
{
	PyObject *args;
	args = Py_BuildValue("(O&iiii)",
		cvt_c2p_arena, arg1, arg2, arg3, arg4, arg5);
	if (args) {
		call_gen_py_callbacks(PYCBPREFIX CB_FLAGPOS, args);
		Py_DECREF(args);
	}
}


local void py_cb_call_CB_FLAGPOS(Arena *arena, PyObject *args)
{
	Arena * arg1;
	int arg2;
	int arg3;
	int arg4;
	int arg5;
	if (!PyArg_ParseTuple(args, "O&iiii", cvt_p2c_arena, (void*)&arg1, &arg2, &arg3, &arg4, &arg5))
		return;
	DO_CBS(CB_FLAGPOS, arena, FlagPosFunc, (arg1, arg2, arg3, arg4, arg5));
}

local void py_cb_CB_FLAGWIN(Arena * arg1, int arg2)
{
	PyObject *args;
	args = Py_BuildValue("(O&i)",
		cvt_c2p_arena, arg1, arg2);
	if (args) {
		call_gen_py_callbacks(PYCBPREFIX CB_FLAGWIN, args);
		Py_DECREF(args);
	}
}


local void py_cb_call_CB_FLAGWIN(Arena *arena, PyObject *args)
{
	Arena * arg1;
	int arg2;
	if (!PyArg_ParseTuple(args, "O&i", cvt_p2c_arena, (void*)&arg1, &arg2))
		return;
	DO_CBS(CB_FLAGWIN, arena, FlagWinFunc, (arg1, arg2));
}

local void py_cb_CB_KILL(Arena * arg1, Player * arg2, Player * arg3, int arg4, int arg5)
{
	PyObject *args;
	args = Py_BuildValue("(O&O&O&ii)",
		cvt_c2p_arena, arg1, cvt_c2p_player, arg2, cvt_c2p_player, arg3, arg4, arg5);
	if (args) {
		call_gen_py_callbacks(PYCBPREFIX CB_KILL, args);
		Py_DECREF(args);
	}
}


local void py_cb_call_CB_KILL(Arena *arena, PyObject *args)
{
	Arena * arg1;
	Player * arg2;
	Player * arg3;
	int arg4;
	int arg5;
	if (!PyArg_ParseTuple(args, "O&O&O&ii", cvt_p2c_arena, (void*)&arg1, cvt_p2c_player, (void*)&arg2, cvt_p2c_player, (void*)&arg3, &arg4, &arg5))
		return;
	DO_CBS(CB_KILL, arena, KillFunc, (arg1, arg2, arg3, arg4, arg5));
}

local void py_cb_CB_FREQCHANGE(Player * arg1, int arg2)
{
	PyObject *args;
	args = Py_BuildValue("(O&i)",
		cvt_c2p_player, arg1, arg2);
	if (args) {
		call_gen_py_callbacks(PYCBPREFIX CB_FREQCHANGE, args);
		Py_DECREF(args);
	}
}


local void py_cb_call_CB_FREQCHANGE(Arena *arena, PyObject *args)
{
	Player * arg1;
	int arg2;
	if (!PyArg_ParseTuple(args, "O&i", cvt_p2c_player, (void*)&arg1, &arg2))
		return;
	DO_CBS(CB_FREQCHANGE, arena, FreqChangeFunc, (arg1, arg2));
}

local void py_cb_CB_SHIPCHANGE(Player * arg1, int arg2, int arg3)
{
	PyObject *args;
	args = Py_BuildValue("(O&ii)",
		cvt_c2p_player, arg1, arg2, arg3);
	if (args) {
		call_gen_py_callbacks(PYCBPREFIX CB_SHIPCHANGE, args);
		Py_DECREF(args);
	}
}


local void py_cb_call_CB_SHIPCHANGE(Arena *arena, PyObject *args)
{
	Player * arg1;
	int arg2;
	int arg3;
	if (!PyArg_ParseTuple(args, "O&ii", cvt_p2c_player, (void*)&arg1, &arg2, &arg3))
		return;
	DO_CBS(CB_SHIPCHANGE, arena, ShipChangeFunc, (arg1, arg2, arg3));
}

local void py_cb_CB_TIMESUP(Arena * arg1)
{
	PyObject *args;
	args = Py_BuildValue("(O&)",
		cvt_c2p_arena, arg1);
	if (args) {
		call_gen_py_callbacks(PYCBPREFIX CB_TIMESUP, args);
		Py_DECREF(args);
	}
}


local void py_cb_call_CB_TIMESUP(Arena *arena, PyObject *args)
{
	Arena * arg1;
	if (!PyArg_ParseTuple(args, "O&", cvt_p2c_arena, (void*)&arg1))
		return;
	DO_CBS(CB_TIMESUP, arena, GameTimerFunc, (arg1));
}

local void py_cb_CB_SAFEZONE(Player * arg1, int arg2, int arg3, int arg4)
{
	PyObject *args;
	args = Py_BuildValue("(O&iii)",
		cvt_c2p_player, arg1, arg2, arg3, arg4);
	if (args) {
		call_gen_py_callbacks(PYCBPREFIX CB_SAFEZONE, args);
		Py_DECREF(args);
	}
}


local void py_cb_call_CB_SAFEZONE(Arena *arena, PyObject *args)
{
	Player * arg1;
	int arg2;
	int arg3;
	int arg4;
	if (!PyArg_ParseTuple(args, "O&iii", cvt_p2c_player, (void*)&arg1, &arg2, &arg3, &arg4))
		return;
	DO_CBS(CB_SAFEZONE, arena, SafeZoneFunc, (arg1, arg2, arg3, arg4));
}

local void py_cb_CB_LOGFUNC(const char * arg1)
{
	PyObject *args;
	args = Py_BuildValue("(s)",
		arg1);
	if (args) {
		call_gen_py_callbacks(PYCBPREFIX CB_LOGFUNC, args);
		Py_DECREF(args);
	}
}


local void py_cb_call_CB_LOGFUNC(Arena *arena, PyObject *args)
{
	const char * arg1;
	if (!PyArg_ParseTuple(args, "s", &arg1))
		return;
	DO_CBS(CB_LOGFUNC, arena, LogFunc, (arg1));
}

local void py_cb_CB_TURFTAG(Arena * arg1, Player * arg2, int arg3)
{
	PyObject *args;
	args = Py_BuildValue("(O&O&i)",
		cvt_c2p_arena, arg1, cvt_c2p_player, arg2, arg3);
	if (args) {
		call_gen_py_callbacks(PYCBPREFIX CB_TURFTAG, args);
		Py_DECREF(args);
	}
}


local void py_cb_call_CB_TURFTAG(Arena *arena, PyObject *args)
{
	Arena * arg1;
	Player * arg2;
	int arg3;
	if (!PyArg_ParseTuple(args, "O&O&i", cvt_p2c_arena, (void*)&arg1, cvt_p2c_player, (void*)&arg2, &arg3))
		return;
	DO_CBS(CB_TURFTAG, arena, TurfTagFunc, (arg1, arg2, arg3));
}

local void py_cb_CB_TURFRECOVER(Arena * arg1, int arg2, int arg3, int arg4, int arg5, int arg6, int arg7)
{
	PyObject *args;
	args = Py_BuildValue("(O&iiiiii)",
		cvt_c2p_arena, arg1, arg2, arg3, arg4, arg5, arg6, arg7);
	if (args) {
		call_gen_py_callbacks(PYCBPREFIX CB_TURFRECOVER, args);
		Py_DECREF(args);
	}
}


local void py_cb_call_CB_TURFRECOVER(Arena *arena, PyObject *args)
{
	Arena * arg1;
	int arg2;
	int arg3;
	int arg4;
	int arg5;
	int arg6;
	int arg7;
	if (!PyArg_ParseTuple(args, "O&iiiiii", cvt_p2c_arena, (void*)&arg1, &arg2, &arg3, &arg4, &arg5, &arg6, &arg7))
		return;
	DO_CBS(CB_TURFRECOVER, arena, TurfRecoverFunc, (arg1, arg2, arg3, arg4, arg5, arg6, arg7));
}

local void py_cb_CB_TURFLOST(Arena * arg1, int arg2, int arg3, int arg4, int arg5, int arg6, int arg7)
{
	PyObject *args;
	args = Py_BuildValue("(O&iiiiii)",
		cvt_c2p_arena, arg1, arg2, arg3, arg4, arg5, arg6, arg7);
	if (args) {
		call_gen_py_callbacks(PYCBPREFIX CB_TURFLOST, args);
		Py_DECREF(args);
	}
}


local void py_cb_call_CB_TURFLOST(Arena *arena, PyObject *args)
{
	Arena * arg1;
	int arg2;
	int arg3;
	int arg4;
	int arg5;
	int arg6;
	int arg7;
	if (!PyArg_ParseTuple(args, "O&iiiiii", cvt_p2c_arena, (void*)&arg1, &arg2, &arg3, &arg4, &arg5, &arg6, &arg7))
		return;
	DO_CBS(CB_TURFLOST, arena, TurfLostFunc, (arg1, arg2, arg3, arg4, arg5, arg6, arg7));
}

local void py_cb_CB_TURFVICTORY(Arena * arg1)
{
	PyObject *args;
	args = Py_BuildValue("(O&)",
		cvt_c2p_arena, arg1);
	if (args) {
		call_gen_py_callbacks(PYCBPREFIX CB_TURFVICTORY, args);
		Py_DECREF(args);
	}
}


local void py_cb_call_CB_TURFVICTORY(Arena *arena, PyObject *args)
{
	Arena * arg1;
	if (!PyArg_ParseTuple(args, "O&", cvt_p2c_arena, (void*)&arg1))
		return;
	DO_CBS(CB_TURFVICTORY, arena, TurfVictoryFunc, (arg1));
}

typedef void (*py_cb_caller)(Arena *arena, PyObject *args);
local HashTable *py_cb_callers;

local void init_py_callbacks(void)
{
	py_cb_callers = HashAlloc(37);
	{ BallPickupFunc typecheck = py_cb_CB_BALLPICKUP; (void)typecheck; }
	mm->RegCallback(CB_BALLPICKUP, py_cb_CB_BALLPICKUP, ALLARENAS);
	HashReplace(py_cb_callers, PYCBPREFIX CB_BALLPICKUP, py_cb_call_CB_BALLPICKUP);
	{ BallFireFunc typecheck = py_cb_CB_BALLFIRE; (void)typecheck; }
	mm->RegCallback(CB_BALLFIRE, py_cb_CB_BALLFIRE, ALLARENAS);
	HashReplace(py_cb_callers, PYCBPREFIX CB_BALLFIRE, py_cb_call_CB_BALLFIRE);
	{ GoalFunc typecheck = py_cb_CB_GOAL; (void)typecheck; }
	mm->RegCallback(CB_GOAL, py_cb_CB_GOAL, ALLARENAS);
	HashReplace(py_cb_callers, PYCBPREFIX CB_GOAL, py_cb_call_CB_GOAL);
	{ SetBannerFunc typecheck = py_cb_CB_SET_BANNER; (void)typecheck; }
	mm->RegCallback(CB_SET_BANNER, py_cb_CB_SET_BANNER, ALLARENAS);
	HashReplace(py_cb_callers, PYCBPREFIX CB_SET_BANNER, py_cb_call_CB_SET_BANNER);
	{ ChatMsgFunc typecheck = py_cb_CB_CHATMSG; (void)typecheck; }
	mm->RegCallback(CB_CHATMSG, py_cb_CB_CHATMSG, ALLARENAS);
	HashReplace(py_cb_callers, PYCBPREFIX CB_CHATMSG, py_cb_call_CB_CHATMSG);
	{ GlobalConfigChangedFunc typecheck = py_cb_CB_GLOBALCONFIGCHANGED; (void)typecheck; }
	mm->RegCallback(CB_GLOBALCONFIGCHANGED, py_cb_CB_GLOBALCONFIGCHANGED, ALLARENAS);
	HashReplace(py_cb_callers, PYCBPREFIX CB_GLOBALCONFIGCHANGED, py_cb_call_CB_GLOBALCONFIGCHANGED);
	{ PlayerActionFunc typecheck = py_cb_CB_PLAYERACTION; (void)typecheck; }
	mm->RegCallback(CB_PLAYERACTION, py_cb_CB_PLAYERACTION, ALLARENAS);
	HashReplace(py_cb_callers, PYCBPREFIX CB_PLAYERACTION, py_cb_call_CB_PLAYERACTION);
	{ FlagPickupFunc typecheck = py_cb_CB_FLAGPICKUP; (void)typecheck; }
	mm->RegCallback(CB_FLAGPICKUP, py_cb_CB_FLAGPICKUP, ALLARENAS);
	HashReplace(py_cb_callers, PYCBPREFIX CB_FLAGPICKUP, py_cb_call_CB_FLAGPICKUP);
	{ FlagDropFunc typecheck = py_cb_CB_FLAGDROP; (void)typecheck; }
	mm->RegCallback(CB_FLAGDROP, py_cb_CB_FLAGDROP, ALLARENAS);
	HashReplace(py_cb_callers, PYCBPREFIX CB_FLAGDROP, py_cb_call_CB_FLAGDROP);
	{ FlagPosFunc typecheck = py_cb_CB_FLAGPOS; (void)typecheck; }
	mm->RegCallback(CB_FLAGPOS, py_cb_CB_FLAGPOS, ALLARENAS);
	HashReplace(py_cb_callers, PYCBPREFIX CB_FLAGPOS, py_cb_call_CB_FLAGPOS);
	{ FlagWinFunc typecheck = py_cb_CB_FLAGWIN; (void)typecheck; }
	mm->RegCallback(CB_FLAGWIN, py_cb_CB_FLAGWIN, ALLARENAS);
	HashReplace(py_cb_callers, PYCBPREFIX CB_FLAGWIN, py_cb_call_CB_FLAGWIN);
	{ KillFunc typecheck = py_cb_CB_KILL; (void)typecheck; }
	mm->RegCallback(CB_KILL, py_cb_CB_KILL, ALLARENAS);
	HashReplace(py_cb_callers, PYCBPREFIX CB_KILL, py_cb_call_CB_KILL);
	{ FreqChangeFunc typecheck = py_cb_CB_FREQCHANGE; (void)typecheck; }
	mm->RegCallback(CB_FREQCHANGE, py_cb_CB_FREQCHANGE, ALLARENAS);
	HashReplace(py_cb_callers, PYCBPREFIX CB_FREQCHANGE, py_cb_call_CB_FREQCHANGE);
	{ ShipChangeFunc typecheck = py_cb_CB_SHIPCHANGE; (void)typecheck; }
	mm->RegCallback(CB_SHIPCHANGE, py_cb_CB_SHIPCHANGE, ALLARENAS);
	HashReplace(py_cb_callers, PYCBPREFIX CB_SHIPCHANGE, py_cb_call_CB_SHIPCHANGE);
	{ GameTimerFunc typecheck = py_cb_CB_TIMESUP; (void)typecheck; }
	mm->RegCallback(CB_TIMESUP, py_cb_CB_TIMESUP, ALLARENAS);
	HashReplace(py_cb_callers, PYCBPREFIX CB_TIMESUP, py_cb_call_CB_TIMESUP);
	{ SafeZoneFunc typecheck = py_cb_CB_SAFEZONE; (void)typecheck; }
	mm->RegCallback(CB_SAFEZONE, py_cb_CB_SAFEZONE, ALLARENAS);
	HashReplace(py_cb_callers, PYCBPREFIX CB_SAFEZONE, py_cb_call_CB_SAFEZONE);
	{ LogFunc typecheck = py_cb_CB_LOGFUNC; (void)typecheck; }
	mm->RegCallback(CB_LOGFUNC, py_cb_CB_LOGFUNC, ALLARENAS);
	HashReplace(py_cb_callers, PYCBPREFIX CB_LOGFUNC, py_cb_call_CB_LOGFUNC);
	{ TurfTagFunc typecheck = py_cb_CB_TURFTAG; (void)typecheck; }
	mm->RegCallback(CB_TURFTAG, py_cb_CB_TURFTAG, ALLARENAS);
	HashReplace(py_cb_callers, PYCBPREFIX CB_TURFTAG, py_cb_call_CB_TURFTAG);
	{ TurfRecoverFunc typecheck = py_cb_CB_TURFRECOVER; (void)typecheck; }
	mm->RegCallback(CB_TURFRECOVER, py_cb_CB_TURFRECOVER, ALLARENAS);
	HashReplace(py_cb_callers, PYCBPREFIX CB_TURFRECOVER, py_cb_call_CB_TURFRECOVER);
	{ TurfLostFunc typecheck = py_cb_CB_TURFLOST; (void)typecheck; }
	mm->RegCallback(CB_TURFLOST, py_cb_CB_TURFLOST, ALLARENAS);
	HashReplace(py_cb_callers, PYCBPREFIX CB_TURFLOST, py_cb_call_CB_TURFLOST);
	{ TurfVictoryFunc typecheck = py_cb_CB_TURFVICTORY; (void)typecheck; }
	mm->RegCallback(CB_TURFVICTORY, py_cb_CB_TURFVICTORY, ALLARENAS);
	HashReplace(py_cb_callers, PYCBPREFIX CB_TURFVICTORY, py_cb_call_CB_TURFVICTORY);
}

local void deinit_py_callbacks(void)
{
	mm->UnregCallback(CB_BALLPICKUP, py_cb_CB_BALLPICKUP, ALLARENAS);
	mm->UnregCallback(CB_BALLFIRE, py_cb_CB_BALLFIRE, ALLARENAS);
	mm->UnregCallback(CB_GOAL, py_cb_CB_GOAL, ALLARENAS);
	mm->UnregCallback(CB_SET_BANNER, py_cb_CB_SET_BANNER, ALLARENAS);
	mm->UnregCallback(CB_CHATMSG, py_cb_CB_CHATMSG, ALLARENAS);
	mm->UnregCallback(CB_GLOBALCONFIGCHANGED, py_cb_CB_GLOBALCONFIGCHANGED, ALLARENAS);
	mm->UnregCallback(CB_PLAYERACTION, py_cb_CB_PLAYERACTION, ALLARENAS);
	mm->UnregCallback(CB_FLAGPICKUP, py_cb_CB_FLAGPICKUP, ALLARENAS);
	mm->UnregCallback(CB_FLAGDROP, py_cb_CB_FLAGDROP, ALLARENAS);
	mm->UnregCallback(CB_FLAGPOS, py_cb_CB_FLAGPOS, ALLARENAS);
	mm->UnregCallback(CB_FLAGWIN, py_cb_CB_FLAGWIN, ALLARENAS);
	mm->UnregCallback(CB_KILL, py_cb_CB_KILL, ALLARENAS);
	mm->UnregCallback(CB_FREQCHANGE, py_cb_CB_FREQCHANGE, ALLARENAS);
	mm->UnregCallback(CB_SHIPCHANGE, py_cb_CB_SHIPCHANGE, ALLARENAS);
	mm->UnregCallback(CB_TIMESUP, py_cb_CB_TIMESUP, ALLARENAS);
	mm->UnregCallback(CB_SAFEZONE, py_cb_CB_SAFEZONE, ALLARENAS);
	mm->UnregCallback(CB_LOGFUNC, py_cb_CB_LOGFUNC, ALLARENAS);
	mm->UnregCallback(CB_TURFTAG, py_cb_CB_TURFTAG, ALLARENAS);
	mm->UnregCallback(CB_TURFRECOVER, py_cb_CB_TURFRECOVER, ALLARENAS);
	mm->UnregCallback(CB_TURFLOST, py_cb_CB_TURFLOST, ALLARENAS);
	mm->UnregCallback(CB_TURFVICTORY, py_cb_CB_TURFVICTORY, ALLARENAS);
	HashFree(py_cb_callers);
}
